Subject: Re: bug#18628: Emacs hangs trying to open "CON" file (on Windows)

From: Eli Zaretskii <[email-masked]>
Date: Sat, 04 Oct 2014 19:51:46 +0300

> From: Lee Houghton <[email-masked]>
> Date: Sat, 4 Oct 2014 16:20:38 +0100
> 
> I don't know if this can really be counted as a bug, as CON is the
> windows equivalent of /dev/stdin, (and of course I deserve it for
> using Windows), but it is a frustrating problem, especially when I am
> using helm-mode and trying to get my "config" directory and it decides
> to read the "CON" file instead.

Please provide a reproducible recipe starting with "emacs -Q".  Just
typing "C-x C-f con TAB TAB" doesn't show CON in the completions, so
I'm unsure how you bump into this problem.

> To reproduce the problem:
> 
> Open the scratch buffer, execute (find-file "CON") and watch emacs hang.

Well, then don't do that, right?  There cannot be a usable file by
that name on Windows, so why would you need to try visiting it?